{% block header_wrapper %}
{% block header_account %}
<header class="account-masthead">
  <div class="container-fluid">
    {% block header_account_container_content %}
    {% if c.userobj %}
    <div class="account avatar authed" data-module="me" data-me="{{ c.userobj.id }}">
      <ul class="list-unstyled">
        {% block header_account_logged %}
        {% if "pages" in g.plugins %}
        <li>
          <a href="{{ h.url_for('pages_index') }}" title="{{ _('Pages') }}">
            <i class="fa fa-file icon-file"></i>
          </a>
        </li>
        <li>
          <a href="{{ h.url_for('blog_index') }}" title="{{ _('Blog') }}">
            <i class="fa fa-pencil icon-pencil"></i>
          </a>
        </li>
        {% endif %}
        {% if c.userobj.sysadmin %}
        <li>
          <a href="{{ h.url_for(controller='admin', action='index') }}" title="{{ _('Sysadmin settings') }}">
            <i class="fa fa-legal" aria-hidden="true"></i>
            <span class="text">{{ _('Admin') }}</span>
          </a>
        </li>
        {% endif %}
        <li>
          <a href="{{ h.url_for(controller='user', action='read', id=c.userobj.name) }}" class="image" title="{{ _('View profile') }}">
            {{ h.gravatar((c.userobj.email_hash if c and c.userobj else ''), size=22) }}
            <span class="username">{{ c.userobj.display_name }}</span>
          </a>
        </li>
        {% set new_activities = h.new_activities() %}
        <li class="notifications {% if new_activities > 0 %}notifications-important{% endif %}">
          {% set notifications_tooltip = ngettext('Dashboard (%(num)d new item)', 'Dashboard (%(num)d new items)', new_activities)
          %}
          <a href="{{ h.url_for('dashboard.index') }}" title="{{ notifications_tooltip }}">
            <i class="fa fa-tachometer" aria-hidden="true"></i>
            <span class="text">{{ _('Dashboard') }}</span>
            <span class="badge">{{ new_activities }}</span>
          </a>
        </li>
        {% block header_account_settings_link %}
        <li>
          <a href="{{ h.url_for(controller='user', action='edit', id=c.userobj.name) }}" title="{{ _('Edit settings') }}">
            <i class="fa fa-cog" aria-hidden="true"></i>
            <span class="text">{{ _('Settings') }}</span>
          </a>
        </li>
        {% endblock %}
        {% block header_account_log_out_link %}
        <li>
          <a href="{{ h.url_for('/user/_logout') }}" title="{{ _('Log out') }}">
            <i class="fa fa-sign-out" aria-hidden="true"></i>
            <span class="text">{{ _('Log out') }}</span>
          </a>
        </li>
        {% endblock %}
        {% endblock %}
      </ul>
    </div>
    {% else %}
    <nav class="account not-authed">
      <ul class="list-unstyled">
        {% block header_account_notlogged %}
        <li>{% link_for _('Log in'), controller='user', action='login' %}</li>
        {% if h.check_access('user_create') %}
        <li>{% link_for _('Register'), controller='user', action='register', class_='sub' %}</li>
        {% endif %}
        {% endblock %}
      </ul>
    </nav>
    {% endif %}
    {% endblock %}
  </div>
</header>
{% endblock %}
<header class="navbar navbar-static-top masthead">
  {% block header_debug %}
  {% if g.debug and not g.debug_supress_header %}
  <div class="debug">Controller : {{ c.controller }}<br/>Action : {{ c.action }}</div>
  {% endif %}
  {% endblock %}
  <div class="container-fluid">
    <div class="row">
      <div class="col-lg-3 col-md-2">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target=".navbar-collapse" aria-expanded="false">
            <span class="sr-only">Toggle navigation</span>
            <i class="fa fa-reorder"></i>
          </button>
          {# The .header-image class hides the main text and uses image replacement for the title #}
          <div class="{{ g.header_class }}">

            {% block header_logo %}
            {% if g.site_logo %}
            <a class="" href="{{ h.url('home.index') }}"><img src="{{ h.url_for_static_or_external(g.site_logo) }}" alt="{{ h.config_option_show('ckan.site_title', request.environ.CKAN_LANG) }}" title="{{ h.config_option_show('ckan.site_title', request.environ.CKAN_LANG) }}" /></a>
            {% else %}
            <h1>
              <a href="{{ h.url('home.index') }}">{{ h.config_option_show('ckan.site_title', request.environ.CKAN_LANG) }}</a>
            </h1>
            {% if h.config_option_show('ckan.site_description', request.environ.CKAN_LANG) %}<h2>{{ h.config_option_show('ckan.site_description', request.environ.CKAN_LANG) }}</h2>{% endif %}
            {% endif %}
            {% endblock %}

          </div>
        </div>
        {% if g.site_description %}
<!--        <header class="navbar-left hidden-sm hidden-xs">
          <span class="navbar-tagline">{{ h.config_option_show('ckan.site_description', request.environ.CKAN_LANG) }}</span>
        </header>-->
        {% endif %}
      </div>
      <div class="col-lg-2">
        {% block header_site_search %}
        <form class="navbar-form section site-search simple-input" action="{% url_for controller='package', action='search' %}" method="get">
          <div class="field">
            <label for="field-sitewide-search">{% block header_site_search_label %}{{ _('Search Datasets') }}{% endblock %}</label>
            <input id="field-sitewide-search" class="form-control" type="text" name="q" placeholder="{{ _('Search datasets') }}" />
            <button class="btn-search" type="submit"><i class="fa fa-search"></i></button>
          </div>
        </form>
        {% endblock %}
      </div>
      <div class="col-lg-7 col-md-10 text-right">
        <div class="navbar-collapse collapse">

          {% block header_site_navigation %}
          {% set controller = 'ckanext.eds.controllers.eds_guides_controller:EdsGuidesController' %}
          {% set api_guides_url = h.url_for('eds_api_guides') %}
          {% set simple_guides_url = h.url_for('eds_simple_guides') %}
          <nav class="navigation">
            <ul class="nav navbar-nav nav-pills">
              {% block header_site_navigation_tabs %}
              {{ h.build_nav_main(
                ('search', _('Datasets')),
                ('organizations_index', _('Organizations')),
                ('group_index', _('Groups')),
                ('home.about', _('About'))
              ) }}
              {% endblock %}
              <li>
                <a href="" data-toggle="dropdown" >{{ _('Guides') }}<span class="caret"></span></a>
                <ul class="dropdown-menu">
                  <li>
                    <a href="{{ api_guides_url }}">{{ _('API Guides') }}</a>
                  </li>
                  <li>
                    <a href="{{ simple_guides_url }}">{{ _('Simple Guides') }}</a>
                  </li>
                </ul>
              </li>
            </ul>
          </nav>
          {% endblock %}

          <ul class="language-switcher">
            {% set current_url = request.environ.CKAN_CURRENT_URL %}
            {% set current_lang = request.environ.CKAN_LANG %}
            <li {% if current_lang == 'en' %}class="active"{% endif %}><a data-language="en" data-language-name="English" href="{% url_for current_url, locale='en' %}">EN</a></li>
            <li {% if current_lang == 'da_DK' %}class="active"{% endif %}><a data-language="da_DK" data-language-name="Danish" href="{% url_for current_url, locale='da_DK' %}" >DK</a></li>
          </ul>

        </div>
      </div>
    </div>
  </div>
</header>
{% endblock %}
